# Uses of Class
org.eclipse.birt.chart.computation.withaxes.AutoScale

Packages that use AutoScale
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.

## Uses of AutoScale in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type AutoScale
Modifier and Type
Method
Description
`static final double`
Methods.`getLocation(AutoScale sc, double dValue)`
`static final double`
Methods.`getLocation(AutoScale sc, Number bdValue)`
Computes and returns the location based on specified value and scale info.
`static final double`
Methods.`getLocation(AutoScale sc, Object oValue)`
`static final double`
Methods.`getNormalizedLocation(AutoScale sc, double dValue)`
`static final double`
Methods.`getNormalizedLocation(AutoScale sc, Object oValue)`

## Uses of AutoScale in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return AutoScale
Modifier and Type
Method
Description
`AutoScale`
SeriesRenderingHints.`getOrthogonalScale()`
Returns Orthogonal axis's AutoScale object.
`AutoScale`
OneAxis.`getScale()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type AutoScale
Modifier and Type
Method
Description
`double`
IntersectionValue.`getValueAsDouble(AutoScale sc)`
`static void`
AutoScale.`setNumberMinMaxToScale(AutoScale sc, Object oMinimum, Object oMaximum, RunTimeContext rtc, OneAxis ax)`
Updates AutoScale by checking min or max
`static void`
AutoScale.`setStepToScale(AutoScale sc, Object oStep, Integer oStepNumber, RunTimeContext rtc)`
Updates AutoScale by checking step size and step number
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type AutoScale
Modifier
Constructor
Description
``
`SeriesRenderingHints(PlotWith2DAxes _pwa, double _dAxisLocation, double _dPlotBaseLocation, double _dZeroLocation, double _dSeriesThickness, AxisTickCoordinates _daTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, StackedSeriesLookup _ssl, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal)`
``
`SeriesRenderingHints3D(PlotWith3DAxes _pwa, double _dXAxisLocation, double _dZAxisLocation, double _dPlotBaseLocation, double _dPlotZeroLocation, double _dPlotHeight, AxisTickCoordinates _daXTickCoordinates, AxisTickCoordinates _daZTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, AutoScale _scAncillary, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal, DataSetIterator _dsiAncillary)`